import { Point, Rectangle } from 'pixi.js';
import { ConstrainEase, SlidingNumber } from './SlidingNumber';
interface TrackpadOptions {
    /** override the easing function when constraining */
    xEase?: ConstrainEase;
    yEase?: ConstrainEase;
    maxSpeed?: number;
    constrain?: boolean;
    disableEasing?: boolean;
}
/** Easing controller for the {@link ScrollBox}. */
export declare class Trackpad {
    xAxis: SlidingNumber;
    yAxis: SlidingNumber;
    protected _isDown: boolean;
    protected _globalPosition: Point;
    protected _frame: Rectangle;
    protected _bounds: Rectangle;
    protected _dirty: boolean;
    protected disableEasing: boolean;
    constructor(options: TrackpadOptions);
    pointerDown(pos: Point): void;
    pointerUp(): void;
    pointerMove(pos: Point): void;
    update(): void;
    resize(w: number, h: number): void;
    setBounds(minX: number, maxX: number, minY: number, maxY: number): void;
    get x(): number;
    get y(): number;
}
export {};
//# sourceMappingURL=Trackpad.d.ts.map